org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeResolverBuilder

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeResolverBuilder

- All Implemented Interfaces:
    org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeResolverBuilder<org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder>

      public class GraphSONTypeResolverBuilder
      extends org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder

  Creates the Type serializers as well as the Typed deserializers that will be provided to the serializers and deserializers. Contains the typeInfo level that should be provided by the GraphSONMapper.
  Author:
    Kevin Gallardo (https://kgdo.me), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder

      `_customIdResolver, _defaultImpl, _idType, _includeAs, _typeIdVisible, _typeProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONTypeResolverBuilder(GraphSONVersion version)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer` | `buildTypeDeserializer(org.apache.tinkerpop.shaded.jackson.databind.DeserializationConfig config, org.apache.tinkerpop.shaded.jackson.databind.JavaType baseType, Collection<org.apache.tinkerpop.shaded.jackson.databind.jsontype.NamedType> subtypes)`
    `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer` | `buildTypeSerializer(org.apache.tinkerpop.shaded.jackson.databind.SerializationConfig config, org.apache.tinkerpop.shaded.jackson.databind.JavaType baseType, Collection<org.apache.tinkerpop.shaded.jackson.databind.jsontype.NamedType> subtypes)`
    `GraphSONTypeResolverBuilder` | `typesEmbedding(TypeInfo typeInfo)`
    `GraphSONTypeResolverBuilder` | `valuePropertyName(String valuePropertyName)`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder

      `allowPrimitiveTypes, defaultImpl, defineDefaultImpl, getDefaultImpl, getTypeProperty, idResolver, inclusion, init, isTypeIdVisible, noTypeInfoBuilder, reportInvalidBaseType, subTypeValidator, typeIdVisibility, typeProperty, verifyBaseTypeValidity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphSONTypeResolverBuilder

          public GraphSONTypeResolverBuilder(GraphSONVersion version)

  - ### Method Detail

    - #### buildTypeDeserializer

          public org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeDeserializer buildTypeDeserializer(org.apache.tinkerpop.shaded.jackson.databind.DeserializationConfig config,
                                                                                                              org.apache.tinkerpop.shaded.jackson.databind.JavaType baseType,
                                                                                                              Collection<org.apache.tinkerpop.shaded.jackson.databind.jsontype.NamedType> subtypes)

      Specified by:
        `buildTypeDeserializer` in interface `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeResolverBuilder<org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
      Overrides:
        `buildTypeDeserializer` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

    - #### buildTypeSerializer

          public org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer buildTypeSerializer(org.apache.tinkerpop.shaded.jackson.databind.SerializationConfig config,
                                                                                                          org.apache.tinkerpop.shaded.jackson.databind.JavaType baseType,
                                                                                                          Collection<org.apache.tinkerpop.shaded.jackson.databind.jsontype.NamedType> subtypes)

      Specified by:
        `buildTypeSerializer` in interface `org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeResolverBuilder<org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder>`
      Overrides:
        `buildTypeSerializer` in class `org.apache.tinkerpop.shaded.jackson.databind.jsontype.impl.StdTypeResolverBuilder`

    - #### valuePropertyName

          public GraphSONTypeResolverBuilder valuePropertyName(String valuePropertyName)

    - #### typesEmbedding

          public GraphSONTypeResolverBuilder typesEmbedding(TypeInfo typeInfo)

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.